#!/bin/bash
functional="Ag-B86SRP70"
for i in {0..28}
do
  for j in {0..19}
  do
    for k in {1..13}
    do
      folder="site${i}z${j}r${k}"
      energy=""
      if [ -d "$folder" ]; then
        position=`head -1 ${folder}/POSCAR`
        U=`head -1 ${folder}/POSCAR | awk '{print $2}'`
        V=`head -1 ${folder}/POSCAR | awk '{print $4}'`
        T=`head -1 ${folder}/POSCAR | awk '{print $10}'`
        P=`head -1 ${folder}/POSCAR | awk '{print $12}'`
        R=`head -1 ${folder}/POSCAR | awk '{print $8}'`
        Z=`head -1 ${folder}/POSCAR | awk '{print $6}'`
        E=`tail -1 ${folder}/OSZICAR | awk '{print $3}'`
        column=`tail -1 ${folder}/OSZICAR | awk '{print $1}'`
        if [ $column != "1" ]; then
          if [ $column == "RMM:" ]; then
            E=`tail -1 ${folder}/OSZICAR | awk '{print $3}'`
          fi
        fi
        #convert to decimal
        #E=`python -c "print float('$E')"`


        echo $i $position $energy $E 
        echo "$Z     $R    $E" >> ${functional}u${U}v${V}t${T}p${P}.2d

      else
        #bla=`grep "$folder" test `
        echo "$1 $folder ERROR  " 
      fi #folder exists
    
    done #k
    
    echo
    #after each group of R add space to .2d
    echo >> ${functional}u${U}v${V}t${T}p${P}.2d
  done #j
  echo
  echo
  echo 
done #i
